Package ghidra.program.model.data

# Enum Class StandAloneDataTypeManager.ArchiveWarning

java.lang.Object
java.lang.Enum<StandAloneDataTypeManager.ArchiveWarning>
ghidra.program.model.data.StandAloneDataTypeManager.ArchiveWarning

All Implemented Interfaces:
  `Serializable`, `Comparable<StandAloneDataTypeManager.ArchiveWarning>`, `Constable`

Enclosing class:
  `StandAloneDataTypeManager`

public static enum StandAloneDataTypeManager.ArchiveWarning extends Enum<StandAloneDataTypeManager.ArchiveWarning>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPILER_SPEC_NOT_FOUND`
  `COMPILER_SPEC_NOT_FOUND` indicates the `CompilerSpec`, required by the associated `ProgramArchitecture`, was not found or encountered a problem being loaded.
  `DATA_ORG_CHANGED`
  `DATA_ORG_CHANGED` indicates an archive which has been open read-only requires an upgraded to adjust for changes in the associated data organization.
  `LANGUAGE_NOT_FOUND`
  `LANGUAGE_NOT_FOUND` indicates the `Language` or its appropriate version, required by the associated `ProgramArchitecture`, was not found or encountered a problem being loaded.
  `LANGUAGE_UPGRADE_REQURED`
  `LANGUAGE_UPGRADE_REQURED` indicates an archive which has been open read-only requires an upgraded to a newer language version.
  `NONE`
  `NONE` indicates a normal archive condition
  `UPGRADED_LANGUAGE_VERSION`
  `UPGRADED_LANGUAGE_VERSION` indicates an archive which has been open for update was upgraded to a newer language version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StandAloneDataTypeManager.ArchiveWarningLevel`
  `level()`
  Get the warning level
  `static StandAloneDataTypeManager.ArchiveWarning`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StandAloneDataTypeManager.ArchiveWarning[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final StandAloneDataTypeManager.ArchiveWarning NONE
    `NONE` indicates a normal archive condition

  - ### UPGRADED_LANGUAGE_VERSION

    public static final StandAloneDataTypeManager.ArchiveWarning UPGRADED_LANGUAGE_VERSION
    `UPGRADED_LANGUAGE_VERSION` indicates an archive which has been open for update was upgraded to a newer language version. This is expected when the `Language` required by the associated `ProgramArchitecture` has a major version change which involves significant `Register` changes. Sharing an upgraded archive may impact others who do not have access to the updated `Language` module.

  - ### LANGUAGE_NOT_FOUND

    public static final StandAloneDataTypeManager.ArchiveWarning LANGUAGE_NOT_FOUND
    `LANGUAGE_NOT_FOUND` indicates the `Language` or its appropriate version, required by the associated `ProgramArchitecture`, was not found or encountered a problem being loaded. The `StandAloneDataTypeManager.getWarningDetail()` may provide additional insight to the underlying cause.

  - ### COMPILER_SPEC_NOT_FOUND

    public static final StandAloneDataTypeManager.ArchiveWarning COMPILER_SPEC_NOT_FOUND
    `COMPILER_SPEC_NOT_FOUND` indicates the `CompilerSpec`, required by the associated `ProgramArchitecture`, was not found or encountered a problem being loaded. The `StandAloneDataTypeManager.getWarningDetail()` may provide additional insight to the underlying cause. This condition can only occur if the required `Language` was found.

  - ### LANGUAGE_UPGRADE_REQURED

    public static final StandAloneDataTypeManager.ArchiveWarning LANGUAGE_UPGRADE_REQURED
    `LANGUAGE_UPGRADE_REQURED` indicates an archive which has been open read-only requires an upgraded to a newer language version. This is expected when the `Language` required by the associated `ProgramArchitecture` has a major version change within the current installation. Major version changes for a `Language` rarely occur but are required when significant `Register` or addressing changes have been made. Upgrading a shared archive may impact others who do not have access to the updated `Language` module and should be coordinated with others who may be affected.

  - ### DATA_ORG_CHANGED

    public static final StandAloneDataTypeManager.ArchiveWarning DATA_ORG_CHANGED
    `DATA_ORG_CHANGED` indicates an archive which has been open read-only requires an upgraded to adjust for changes in the associated data organization.

- ## Method Details

  - ### values

    public static StandAloneDataTypeManager.ArchiveWarning[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StandAloneDataTypeManager.ArchiveWarning valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### level

    public StandAloneDataTypeManager.ArchiveWarningLevel level()
    Get the warning level
    Returns:
      warning level